/*
 *	ioctl functions that are specific to the dt315[25] boards
 *    
 *    See file COPYING for copyright info
 *
 */

/*
 * DT315XGCAPT, DT3152GHFMTMEM, and DT3152GHFMTMEM are really meant as debugging aids 
 */
#define	DT315XGCAPT  	_IOR( 'x', 64+1, unsigned long)       	/* get saa7116 capt_ctl (0x40)	*/
#define DT3152GCSR4	_IOR( 'x', 64+2, unsigned long)		/* get 3152 csr4		*/
#define	DT3152GHFMTMEM  _IOWR('x', 64+3, unsigned long)		/* get horizontal format memory */
#define	DT3152GVFMTMEM  _IOWR('x', 64+4, unsigned long)		/* get vertical format memory 	*/
#define	DT3152GADLUT    _IOWR('x', 64+5, unsigned long)		/* get ad lut                 	*/
#define	DT3152GPMLUT    _IOWR('x', 64+6, unsigned long)		/* get pm lut                 	*/

#define	DT315X_STATUS_XX	0x0000	/* There should be a series of things for status ioctl return	*/
